Package ru.bitel.bgbilling.kernel.tariff.common.bean

# Class TariffGroupTariff

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.tariff.common.bean.TariffGroupTariff

All Implemented Interfaces:
  `Serializable`, `Idable`

public class TariffGroupTariff extends Id
Одна позиция из группы тарифов - тариф и его период. используется в таблице в модели (в клиенте), в бине менеджера TariffGroup и при передаче тоже используется.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TariffGroupTariff()`
  `TariffGroupTariff(int tariffId, String tariffTitle, Date date1, Date date2)`
  `TariffGroupTariff(int tariffId, String tariffTitle, Date date1, Date date2, String comment)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `Date`
  `getDate1()`
  `Date`
  `getDate2()`
  `String`
  `getTitle()`
  `void`
  `setComment(String comment)`
  `void`
  `setDate1(Date date1)`
  `void`
  `setDate2(Date date2)`
  `void`
  `setTitle(String title)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TariffGroupTariff

    public TariffGroupTariff()

  - ### TariffGroupTariff

    public TariffGroupTariff(int tariffId, String tariffTitle, Date date1, Date date2)

  - ### TariffGroupTariff

    public TariffGroupTariff(int tariffId, String tariffTitle, Date date1, Date date2, String comment)

- ## Method Details

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getDate1

    public Date getDate1()

  - ### setDate1

    public void setDate1(Date date1)

  - ### getDate2

    public Date getDate2()

  - ### setDate2

    public void setDate2(Date date2)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`